Public Class Form25

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        'myrep.SetReportFile("ddd.dd")
        'myrep.CreateReport()
        'Exit Sub
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "多栏报表.mb")
        myrep.EditReport() '进入报表修改
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "多栏报表.mb")
        myrep.PrintReport(False, False, False, True) '进入报表打印预览
    End Sub

    Private Sub Form25_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Me.产品TableAdapter.Fill(Me.NorthwindDataSet.产品)

    End Sub
End Class